function plot3D(distribute)
  if nargin==0, distribute=true;end
  close all  % :start:
  u=@(x,y,z) cos(x).*sin(y+z);
  [q3,me3,toGlobal3]=fc_meshtools.simplicial.getMeshArrays('3D',3);
  U3=fc_meshtools.eval(u,q3);
  [q2,me2,toGlobal2]=fc_meshtools.simplicial.getMeshArrays('3D',2);
  [q1,me1,toGlobal1]=fc_meshtools.simplicial.getMeshArrays('3D',1);
  
  figure(1)
  fc_graphics4mesh.plot(q3,me3,U3)
  shading interp
  view(3);axis image;axis off
  colorbar
  
  figure(2)
  fc_graphics4mesh.plot(q2,me2,U3(toGlobal2)) 
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'color','black','LineWidth',2)
  shading interp
  view(3);axis image;axis off
  caxis([min(U3),max(U3)])
  colorbar

  figure(3)
  fc_graphics4mesh.plotmesh(q2,me2,'EdgeColor','LightGray','FaceColor','None')
  hold on
  fc_graphics4mesh.plot(q1,me1,u,'LineWidth',2)
  view(3);axis image;axis off
  caxis([min(U3),max(U3)])
  colorbar
  
  P=[fc_tools.graphics.PlaneCoefs([0.2 0 1], [1 0 0]);fc_tools.graphics.PlaneCoefs([-0.2 0 1], [-1 0 0])];
  figure(4)
  fc_graphics4mesh.plot(q2,me2,U3(toGlobal2),'cutPlane',P) 
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'color','black','LineWidth',2)
  shading interp
  view(3);axis image;axis off
  caxis([min(U3),max(U3)])
  colorbar  % :end:
  if distribute,fc_tools.graphics.monitors.autoGrid();end
end
