function MeshFormat=read_MeshFormat(fid,varargin)
  p = inputParser;
  p.addParamValue('verbose',false,@islogical);
  p.parse(varargin{:});
  verbose=p.Results.verbose;
  mustclose=false;
  if (ischar(fid))
    mustclose=true;
    [fid,message]=fopen(fid,'r');
    if ( fid == -1 )
          error([message,' : ',fid]);
    end
  end
  flag=fc_oogmsh.msh.find_section(fid,'$MeshFormat',varargin{:});
  %R=textscan(fid,'%s %d %d',1)
  R{1}=fscanf(fid,'%s',1);
  R{2}=fscanf(fid,'%d',1);
  R{3}=fscanf(fid,'%d',1);
  MeshFormat=struct('version',R{1},'file_type',R{2},'data_size',R{3});
  text = fscanf(fid,'%s',1);
  %text = fgetl(fid)
  if ( text == -1 ) | ~strcmp(strtok(text),'$EndMeshFormat') 
    error('Trouble when reading file in section $MeshFormat %s',text)
  else
    if verbose,fprintf('Reading $MeshFormat section seem OK\n');end
  end
  if (mustclose)
    fclose(fid);
  end
  
end
