function varargout=SolveWithExtension(A,b,gD,ID,IDc,varargin)
% Optional key/value parameters:
%   'solver' :
%         @(A,b) gmres(A,b,10,1e-12,100)
%         default, @mldivide
  p = inputParser;
  p.addParamValue('solver',@mldivide,@(f) strcmp(class(f),'function_handle'));
  p.parse(varargin{:});
  R=p.Results;
  ndof=size(b,1);
  x=zeros(ndof,1);
  x(ID)=gD(ID);
  bb=b(IDc)-A(IDc,:)*gD;
  if nargout>1
    varargout=cell(1,nargout);
    [varargout{:}]=R.solver(A(IDc,IDc),bb);
    x(IDc)=varargout{1};
  else
    x(IDc)=R.solver(A(IDc,IDc),bb);
  end
  varargout{1}=x;
end
