fc_tools.utils.cleaning()
% caoutchouc
E = 21e5; nu = 0.45; %nu = 0.28; 
N=10;scale=2000;

[bvp,info]=fc_vfemp1.examples.elasticity.setBVPElasticity3D01(N,2,'E',E,'nu',nu);
fc_vfemp1.examples.print_info(info)

fprintf('*** Solving %s\n',info.name)
[U,SolveInfo]=bvp.solve('split',true,'time',true);
fprintf('    -> ndof (number of degrees of freedom) = %d\n',sum(cellfun(@(x) size(x,1),U)));
fc_vfemp1.examples.print_info(SolveInfo)

if fc_tools.utils.is_fcPackage('siplt')
  fprintf('*** Graphics with fc_siplt package\n');
  fc_tools.graphics.monitors.onGrid(1,2,'covers',0.9);
  tstart=tic();
  Th=bvp.Th;
  
  figure(1)
  Th.plotmesh('d',2,'inlegend',true)
  axis image
  legend('show')

  figure(2)
  if fc_tools.comp.isOctave()
    Th.plotmesh('d',1,'Color','b','LineWidth',2)
  else
    Th.plotmesh('d',2,'FaceColor','b','FaceAlpha',0.5)
  end
  hold on
  move=scale*[U{1}';U{2}';U{3}'];
  Th.plotmesh('Color','r','move',move)
  view(-16,9)
  axis image
  title(sprintf('Displacement scaled by %g',scale))
  tcpu=toc(tstart);
  fprintf('    -> Done it in %.3f(s)\n',tcpu)
end

